
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>list-有关STL中的max_size() / iVAN</title>

    <meta name="description" content="list-有关STL中的max_size() 问题描述 有关STL中的max_size() 在STL中,像vector.list.string这些容器都含有max_size()这个函数,想请教一下,关于这个max_size()函数的值.在我机子上vector的max_size()=1073741823,list的max_size()=357913941,而string的max_size()=4294967294...请问这些值是固定的吗?? 为什么要设为这么大的值??是由电脑的配置决定的吗??? *** 谢谢....****_ 解决方案 4">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">list-有关STL中的max_size()</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>问题描述</h1>
<dl>
<dt>有关STL中的max_size()
        </dt>
<dd>
          <br />在STL中，像vector、list、string这些容器都含有max_size()这个函数，想请教一下，关于这个max_size()函数的值。在我机子上vector的max_size（）=1073741823，list的max_size（）=357913941，而string的max_size（）=4294967294。。。请问这些值是固定的吗？？   为什么要设为这么大的值？？是由电脑的配置决定的吗？？？    ***</p>
<p>谢谢。。。。****_</p>
</dd>
</dl>
<h1>解决方案</h1>
<p>4294967294是2^32，也就是用一个int表示长度，能表示的最大值。<br />
1073741823是上一个值的1/4，如果有什么原因它需要的存储是前者的4倍的话，那么最大值就是1/4。<br />
这个应该是C++编译器/标准库规范/操作系统决定的， 不是电脑配置决定的。</p>
<p>解决方案二：<br />
    <br /><a href="http://blog.csdn.net/guang_jing/article/details/38943923" rel="external nofollow noreferrer">STL array的max_size方法(14)</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 02:23:44</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/string/" title="string">string</a>, <a href="https://www.iamivan.net/tag/list/" title="list">list</a>, <a href="https://www.iamivan.net/tag/vector/" title="vector">vector</a>, <a href="https://www.iamivan.net/tag/stl/" title="stl">stl</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>list-有关STL中的max_size()的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEdo73z.html" rel="bookmark">关于STL中set容器的一些总结&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.关于set C++ STL 之所以得到广泛的赞誉,也被很多人使用,不只是提供了像vector, string, list等方便的容器,更重要的是STL封装了许多复杂的数据结构算法和大量常用数据结构操作.vector封装数组,list封装了链表,map和set封装了二叉树等,在封装这些数据结构的时候,STL按照程序员的使用习惯,以成员函数方式提供的常用操作,如:插入.排序.删除.查找等.让用户在STL使用过程中,并不会感到陌生. 关于set,必须说明的是set关联式容器.set作为一个容器也是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boJVjDz.html" rel="bookmark">关于STL中vector容器的一些总结&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.vector的简单介绍 vector作为STL提供的标准容器之一,是经常要使用的,有很重要的地位,并且使用起来也是灰常方便.vector又被称为向量,vector可以形象的描述为长度可以动态改变的数组,功能和数组较为相似.实际上更专业的描述为:vector是一个多功能的,能够操作多种数据结构和算法的模板类和函数库,vector之所以被认为是一个容器,是因为它能够像容器一样存放各种类型的对象,简单地说,vector是一个能够存放任意类型的动态数组,能够增加和压缩数据.(注:STL的容器从实现的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAlLeQb.html" rel="bookmark">STL中的set容器的一点总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.关于set C++ STL 之所以得到广泛的赞誉,也被很多人使用,不只是提供了像vector, string, list等方便的容器,更重要的是STL封装了许多复杂的数据结构算法和大量常用数据结构操作.vector封装数组,list封装了链表,map和set封装了二叉树等,在封装这些数据结构的时候,STL按照程序员的使用习惯,以成员函数方式提供的常用操作,如:插入.排序.删除.查找等.让用户在STL使用过程中,并不会感到陌生. 关于set,必须说明的是set关联式容器.set作为一个容器也是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XpmV65z.html" rel="bookmark">&lbrack;经典面试题&rsqb;&lbrack;百度&rsqb;c&plus;&plus;实现STL中的string类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目 请用c++ 实现stl中的string类,实现构造,拷贝构造,析构,赋值,比较,字符串相加,获取长度及子串等功能. 代码 /*------------------------------------- * 日期:2015-03-31 * 作者:SJF0115 * 题目: 实现string类 * 来源:百度 * 博客: ------------------------------------*/ #include &lt;iostream&gt; #include &lt;cstring&gt; us			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMgEvmz.html" rel="bookmark">STL中的sort和unique函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 STL中的sort和unique函数 编了一个小程序,对STL算法中的sort()和unique()进行了测试,发现unique()输出结果不正确.程序如下: #include &lt;iostream&gt; #include &lt;algorithm&gt; #include &lt;vector&gt; using namespace std; int main() { int array[8]={1,5,4,5,3,100,2,100}; vector&lt;int&gt; ivec(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxPjEBM.html" rel="bookmark">仿STL中的堆算法的一个实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				RT. 堆的性质之类的不再这里阐述,写这个算法只为了更好的理解STL中的堆算法,如果看不懂STL中的算法也可以来参考这里给出的算法,因为是纯C的看起来会省去很多语言方面的细节. 同时里面还有一个STL中对应算法的测试以比较两者的效果. /******************************************************************** created: 2007/3/18 filename: main.cpp author: Lichuang purpose			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDA0rLb.html" rel="bookmark">在STL中处理对象指针</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				众所周知,STL的容器类是针对对象来进行存储管理的.虽然没有明确的限制不能在STL的容器类中包含指针,STL也不在乎您存放在容器中的对象还是指针.但仔细考虑STL的初衷,在容器类中使用指针是明显不合时宜的. CKER的意思是您应该尽可能的直接将对象本身而不是将对象的指针放置在STL容器类中.直接在容器中存放指针一个最大的副作用就是可能导致内存泄漏.这个问题在char *类型上有突出的体现. 但某些时候,直接使用对象指针有明显的好处,这些情况大致可以概括为如下的几个方面: 1. 当对象十分庞大时,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pP8oVlp.html" rel="bookmark">c&plus;&plus;关于stl中list的insert函数与push&lowbar;front函数疑问，求解。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 c++关于stl中list的insert函数与push_front函数疑问,求解. #include#includeusing namespace std;int main(){ listout; list::iterator it; list::iterator begin=out.begin()end; out.insert(begin'a'); out.insert(begin'b'); out.insert(begin'c'); out.insert(begin'd'); /*			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwxLZRb.html" rel="bookmark">c&plus;&plus; stl-c&plus;&plus;stl中list的end到底是什么，尾后迭代器到底是如何实现的？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 c++stl中list的end到底是什么,尾后迭代器到底是如何实现的? c++stl中list的end到底是什么,尾后迭代器到底是如何实现的?如果end是空,那么哪来的--end? 解决方案 找到了,是首尾公用头节点,作为特殊节点. 解决方案二: Return iterator to end 指向list尾部的指针 解决方案三: 是这项list尾部的指针,方便人们找到list的尾部. 解决方案四: 有很多种方案,比如list对象自己的地址,或者(void *)1.(void *)-1等			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlW8Ob.html" rel="bookmark" class="title">关于IE6下容器的宽度和火狐浏览器解释不同的解决方法</a>
					<div>
						ie6|解决|火狐浏览器 问题的差别在于容器的整体宽度有没有将边框(border)的宽度算在其内,这里IE6解释为200PX ,而FF则解释为220PX,那究竟是怎么导致的问题呢?大家把容器顶部的xm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQ2N0M.html" rel="bookmark" class="title">是否在找被百度新闻源抓取的玄机</a>
					<div>
						软文推广的的效果是要被百度.谷歌等搜索引擎收录,现如今很多公司依靠软文获得不少的利润,软文有很大传播性和感染力,许多公司不惜花钱到一些网站上发表软文,那么软文只是被百度收录到就可以满足了吗?当然不是, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBJqdb.html" rel="bookmark" class="title">鼠标常见故障分析与维修技巧</a>
					<div>
						鼠标的故障分析与维修比较简单,大部分故障为接口或按键接触不良.断线.机械定位系统脏污.少数故障为鼠标内部元器件或电路虚焊,这主要存在于某些劣质产品中,其中尤以发光二极管.IC电路损坏居多. 一.找不到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9152XM.html" rel="bookmark" class="title">jQuery插件制作之全局函数用法实例</a>
					<div>
						  本文实例讲述了jQuery插件制作之全局函数用法.分享给大家供大家参考.具体分析如下: 1.添加新的全局函数 所谓的全局函数,实际上就是jQuery对象的方法,但从实践的角度上看,他们是位于jQu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myr6rEp.html" rel="bookmark" class="title">用百度输入法进行简洁的翻译</a>
					<div>
						  不知道你有没有发现百度输入法可以进行简单的单词翻译,这样如果我们想要查一个中文词汇对应的英文的话就不用再专门打开词典或者网页去查了.下面小编就给大家介绍如何利用百度输入发查单词. 1.下载并安装装 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBK2VaM.html" rel="bookmark" class="title">Win8怎么设置360浏览器主页</a>
					<div>
						  Win8设置360浏览器主页的方法. 具体方法如下: 1.打开360浏览器,选择自己喜欢的主页并打开,一定要停留在主页页面上,防止接下来设置错误; 2.这时点击页面右上角的小齿轮,选择Intern ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxW5NOb.html" rel="bookmark" class="title">windows系统如何禁止Popwndexe&period;exe进程启动</a>
					<div>
						  曾经安装过或者正在使用瑞星杀毒软件的用户才会有popwndexe.exe这个进程,这个进程还存在一个问题就是会被瑞星杀毒软件自己拦截. 那么如何才能取消popwndexe.exe在这个进程了? 具 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EQPgM.html" rel="bookmark" class="title">显卡中流处理器是什么</a>
					<div>
						  流处理器这个名词第一次出现在人们的视线中还要上溯到2006年12月4日,NVIDIA在当天正式对外发布新一代DX10显卡8800GTX,在技术参数表里面,看不到惯常使用的两个参数:Pixel Pi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYGrlb.html" rel="bookmark" class="title">Photoshop调出外景人物图片柔美的黄紫色</a>
					<div>
						教程介绍黄昏色图片调色方法.大致过程:调色的时候需要把人物及背景分开来调色.背景部分用一些色彩叠加及简单的调色做出类似黄昏的效果.人物部分再根据背景适当的润色即可. 原图 &lt;点小图查看大图&gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNn9Qz.html" rel="bookmark" class="title">如何让小站有收入</a>
					<div>
						如何让小站有收入 现在很广告联盟了,如果现在的almama baidu google ggad 等都给站长提供广告,但是收入是很低了.收入高的站长就不要看了,这篇文章只适合有正式工作,又想赚点零花钱的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVro5b.html" rel="bookmark" class="title">mongodb存储过程</a>
					<div>
						   MongoDB支持存储过程的使用,它的存储过程是用javascript实现的,被存在于system.js表中,可以接收和输出参数,返回执行存储过程的状态值,也可以嵌套调用.     所以我理解的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NKGLM.html" rel="bookmark" class="title">APP漏洞扫描器之未使用地址空间随机化</a>
					<div>
						APP漏洞扫描用地址空间随机化 前言 我们在前文&lt;APP漏洞扫描器之本地拒绝服务检测详解&gt;了解到阿里聚安全漏洞扫描器有一项静态分析加动态模糊测试的方法来检测的功能,并详细的介绍了它在针对本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKD1Oz.html" rel="bookmark" class="title">用Thread替代Timer&mdash;&mdash;简单的多线程处理（一）</a>
					<div>
						工作需要一个动态的窗口,有自动倒计时.后台发送数据.后台打印等功能. 第一版Demo采用了Timer作为后台处理机制核心,代码量少,可读性高.但是实际效果差强人意,特别是多timer阻塞的情况很严重. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDjXaz.html" rel="bookmark" class="title">实时调试- 电脑一开机就跳出对话框显示&period;NET FRAMWORK出现错误&comma; 急求大神帮忙解决！</a>
					<div>
						问题描述 电脑一开机就跳出对话框显示.NET FRAMWORK出现错误, 急求大神帮忙解决! 电脑原本没这个问题,昨天卸载了一些如土豆视频之类的应用软件后就出现了此问题,现在QQ,迅雷等账号都无法登陆 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEyl3M.html" rel="bookmark" class="title">fragment-Fragment最多可嵌套几层呢？</a>
					<div>
						问题描述 Fragment最多可嵌套几层呢? 我们知道,我们在activity中使用getFragmentManager()得到当前管理器来管理我们的fragment,当我们在fragment嵌套fr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myd5lZb.html" rel="bookmark" class="title">电信运营商不可错过的2350亿数据红利</a>
					<div>
						文章讲的是电信运营商不可错过的2350亿数据红利,微软委托IDC进行的一项最新全球研究发现,全球通信和传媒行业有望在未来四年内从数据挖掘中获得超过2350亿美元的数据红利.研究中,企业发现,即使将少量 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdR492b.html" rel="bookmark" class="title">mysql查询 求大神，急啊。。。。</a>
					<div>
						问题描述 mysql查询 求大神,急啊.... 求大神帮我看看这sql语句该怎么写呢,查询出来类似于树的节点 解决方案 你都说了要循环, sql语句肯定做不了啊,不是方法就是存储过程了 解决方案二:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAO9eM.html" rel="bookmark" class="title">你的密码真的安全吗？</a>
					<div>
						为你的网络账户设置一个足够长.足够复杂的http://www.aliyun.com/zixun/aggregation/117.html&quot;&gt;密码已经是大家的常识了.但你的密码究竟有多安 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYV9Ap.html" rel="bookmark" class="title">rlwrap 实现键盘上下箭头，调出历史执行的SQL命令</a>
					<div>
						在Linux平台下,想在Oracle数据库的SQL*PLUS的命令行提示符下,利用键盘上的上下箭头,调出历史执行的SQL命令,可以考虑采用rlwrap这一开源工具.   现,简单记录一下安装过程(Re ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAgXOb.html" rel="bookmark" class="title">健身智能腕带之战：Fitbit Flex对决Jawbone Up</a>
					<div>
						[导读]就硬件而言,http://www.aliyun.com/zixun/aggregation/2033.html&quot;&gt;Jawbone Up表现更佳:但从无线同步功能来看,Fitbi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEnk3M.html" rel="bookmark" class="title">rho 1&period;0&period;32发布 小型文本编辑器</a>
					<div>
						rho 1.0.32该版本更新说明:因为来自日本的下载量非常大,重新修复了内部消息lang_ja.h的传统japan.h.更新了在线帮助功能和更新Makefile. Rho是一个基于控制台的小型且易于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlL4PRM.html" rel="bookmark" class="title">电视购物市场逐步成为广电企业的香饽饽</a>
					<div>
						每经记者 孙卫涛 发自北京 电视购物市场正逐步成为广电企业的香饽饽. 北京歌华有线电视网络股份有限公司(以下简称歌华有线)日前发布公告称,公司与北京环球国广商贸有限公司.上海东方希杰商务有限公司签署了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YyJlz.html" rel="bookmark" class="title">企业&OpenCurlyDoubleQuote;信息孤岛&rdquo;是如何产生的？</a>
					<div>
						1.&quot;信息孤岛&quot;形成的主要原因 近几年来,我国企业信息化的建设取得了长足的进步,无论行业还是企业,都从信息技术的应用中感受到&quot;种种好处&quot;.国际互联网技术的出现, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQ5RKp.html" rel="bookmark" class="title">网页弹出提示窗口问题</a>
					<div>
						问题描述 各位大神,小弟问题如下,还望请教.当存储到数据库中的时间数据和我所需要的时间吻合时,触发弹出提示窗口.ScriptManager.RegisterStartupScript(this.Upd ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJLvqp.html" rel="bookmark" class="title">口罩等预防流感的产品大卖</a>
					<div>
						据国家疾控中心http://www.aliyun.com/zixun/aggregation/1154.html&quot;&gt;调查显示,当前北京正处于流感流行季节,流感病毒活动强度整体上升,提醒 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7aGYb.html" rel="bookmark" class="title">SQL Server 日期函数CAST 和 CONVERT 以及在业务中的使用介绍&lowbar;MsSql</a>
					<div>
						最近时间刚从客户端转入后台写服务,对于后台数据库以及服务的书写完全是个小白,所以最近写的肯定没有太多技术含量. 首先把遇到的问题摆出来:还是那张错误上报表,字段主要有上报错误ID(ErrorID),上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1VOdb.html" rel="bookmark" class="title">Java正则之贪婪匹配、惰性匹配&lowbar;java</a>
					<div>
						贪婪量词: 先看整个字符串是不是一个匹配.如果没有发现匹配,它去掉最后字符串中的最后一个字符,并再次尝试.如果还是没有发现匹配,那么    再次去掉最后一个字符串,这个过程会一直重复直到发现一个匹配或 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNGZ5p.html" rel="bookmark" class="title">js时间日期和毫秒的相互转换&lowbar;javascript技巧</a>
					<div>
						复制代码 代码如下: &lt;script&gt;function c1(){    var d = document.getElementsByName(&quot;s&quot;)[0].valu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0N75Pz.html" rel="bookmark" class="title">MySQL的23个需要注意的地方&lowbar;Mysql</a>
					<div>
						使用MySQL,安全问题不能不注意.以下是MySQL提示的23个注意事项: 1.如果客户端和服务器端的连接需要跨越并通过不可信任的网络,那么就需要使用SSH隧道来加密该连接的通信. 2.用set pa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYXvJb.html" rel="bookmark" class="title">改变图片方向-怎么通过一个小程序，改变图片的方向</a>
					<div>
						问题描述 怎么通过一个小程序,改变图片的方向 读取一张图片,先自动判断图片是否为水平方向,如果不是,就把图片转化为水平方向!图片信息不能丢失,不能失真! 解决方案 同求! 但是退一步,手动改变图片方向 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
